import { createSSRApp } from "vue";
import App from "./App.vue";
import { createPinia } from 'pinia';


export function createApp() {
  const app = createSSRApp(App);

  const pinia = createPinia(); // 创建 Pinia 实例

  app.use(pinia); // 挂载 Pinia

  return {
    app,
    pinia, // 导出 pinia 实例
  };
}
